Handbuch:Installationsvoraussetzungen

This page is a translated version of the page Manual:Installation requirements and the translation is 89% complete.

Zusätzlich zu der MediaWiki-Software selbst benötigen Sie:

Zusätzlich gibt es verschiedene optionale Abhängigkeiten, die relevant werden, wenn Sie gewisse fortgeschrittene Programmbestandteile einsetzen möchten (siehe weiter unten).

Wenn ihre Website gehostet wird (wenn Sie z.B. keine direkte Kontrolle über diese haben), setzen Sie sich mit dem Systemadministrator oder Hostingunternehmen in Verbindung, um sicherzustellen, dass diese installiert sind.

Um MediaWiki-Wartungsskripte auszuführen, benötigen Sie Kommandozeilenzugriff.

Installation in einem Download

Wenn Sie Linux verwenden, installieren Sie am besten den Apache-Webserver, PHP und den MariaDB-Datenbankserver mit Ihrem Packagemanager. Machen Sie folgendes unter Debian und Ubuntu:

sudo apt-get install php php-apcu php-intl php-mbstring php-xml php-mysql php-calendar mariadb-server apache2

Software-Pakete

Verwenden Sie unter anderen Betriebssystemen ein Softwarepaket wie XAMPP von https://www.apachefriends.org zur Installation und konfigurieren sie alle wichtigen Pakete – Apache-Internetserver, PHP und MariaDB – mit nur einem Download. Dieses ist für Linux, Windows, Mac und Solaris erhältlich. Seit Januar 2021 enthält die neueste XAMPP Version PHP 8.0 (MediaWiki benötigt mindestens 7.3.19/7.4.3).

Alternativ können Sie, wenn Sie macOS verwenden, MAMP verwenden, welches das Equivalänt zu XAMPP ist. MAMP enthält die Fähigkeit einen Apache-Internetserver und eine MySQL-Datenbank laufen zu lassen Es ist sowohl für Windows als auch für Mac verfügbar, wird aber eher auf Mac als auf Windows verwendet.

Webserver

Um die erzeugten Wikiseiten Browsern anzubieten, benötigt MediaWiki eine Webserver-Software. Häufig werden Sie keine Wahl haben, welche Software sie verwenden; es wird die eine vom Hosting-Provider angebotene sein.

MediaWiki is broadly compatible with all major web servers that can invoke a compatible version of PHP. Die meisten Installationen verwenden den Apache HTTPD-Webserver. nginx (configuration example) is a good choice as well.

PHP

PHP ist die Programmiersprache, in welcher MediaWiki geschrieben ist und die auch benötigt wird, um die Software auszuführen.

MediaWiki is not compatible with PHP 7.4.0 - 7.4.2 due to an upstream bug. Use PHP 7.4.3+ instead. See task T246594 for more information.
If using PHP8 we recommend using MediaWiki 1.38.4+ or the upcoming MediaWiki 1.39.0+. PHP8 is not in use by Wikimedia wikis, and thus gets less testing, but other groups do use MediaWiki with PHP8 without issue. If you encounter any bugs when using MediaWiki with PHP8 please report them. See task T248925 for more information.
  • Die folgenden Erweiterungen werden benötigt:
  • Beachten Sie, dass all diese Erweiterungen standardmäßig in PHP aktiviert sind.
  • In den meisten Debian/Ubuntu-basierten Distributionen wird das php-mysql-Paket benötigt, wenn Sie wollen, dass MediaWiki MySQL verwendet.
  • Einige Features von MediaWiki benötigen möglicherweise PHP-Funktionen, die externe Prozesse wie das Thumbnailing von Bilder ausführen, die einige günstige Hoster üblicherweise deaktivieren. Bitte beachten Sie dies, wenn Sie planen, MediaWiki auf einem Shared Webhosting-Dienst zu installieren.
  • MediaWiki-Erweiterungen benötigen möglicherweise zusätzliche PHP-Erweiterungen. So braucht beispielsweise VisualEditor Unterstützung für libcurl (php-curl auf Debian/Ubuntu-basierten Distributionen).

Wenn Sie PHP von der Quelle kompilieren müssen, dann schauen Sie nach Kompilierungsoptionen (die MediaWiki beeinflussen) unter PHP configuration nach.

Datenbankserver

MediaWiki speichert den gesamten Text und die Daten (Artikel, Einzelheiten der Benutzer, Systemmeldungen) in einer Datenbank, welche zusammen mit anderen webbasierten Anwendungen genutzt werden kann (z.B. phpBB, usw.). Sie benötigen einen der folgenden Datenbankserver für den Einsatz der neuesten Version von MediaWiki:

Using MariaDB or MySQL is recommended as Wikimedia uses MariaDB. Any other database servers are less tested and you may likely run into some bugs.

  Warning: Since MediaWiki 1.34 , we no longer support using Oracle and Microsoft SQL Server . We strongly advise to no longer to use these.

Some users find it helpful to install additional control panel software such as phpMyAdmin (MySQL/MariaDB) or phpPgAdmin (PostgreSQL) to help administer the database server. Some hosting services also provide such software.

Hardwareanforderungen

Die empfohlenen minimalen Anforderungen für eine Ein-Computer-Website sind 256 MB RAM und 85 MB Speicherplatz. Dies wird jedoch für eine verkehrsreiche öffentliche Seite oder eine Seite mit Upload-Möglichkeit nicht ausreichen. Einige Anwender berichteten jedoch, dass sie MediaWiki auf Computern mit 48 MB RAM laufen ließen.

Die Größe der Installation kann um etwa 50MB bei Entwicklerversionen und um etwa 26MB bei Installationen für Endnutzer reduziert werden. Siehe Manual:Reduce size of the installation .

Optionale Abhängigkeiten

Siehe auch